The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> wctob - wide-character to single-byte conversion

#### SYNOPSIS

> ``#include <stdio.h>
> #include <wchar.h>
> int wctob(wint_t` c`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The wctob() function shall determine whether c corresponds to a member of the extended character set whose character representation is a single byte when in the initial shift state.

> The behavior of this function shall be affected by the LC_CTYPE category of the current locale.

#### RETURN VALUE

> The wctob() function shall return EOF if c does not correspond to a character with length one in the initial shift state. Otherwise, it shall return the single-byte representation of that character as an unsigned char converted to int.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> btowc

> XBD <stdio.h>, <wchar.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with ISO/IEC 9899:1990/Amendment 1:1995 (E).

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]